mav_SMSCallbackPointerResetSet(3)

NAME
mav_SMSCallbackPointerResetSet - Set SMS pointer callback functions.

LEVEL
Maverik Level 3

SYNTAX
void mav_SMSCallbackPointerResetSet(MAV_SMSClass *sc, MAV_SMSCallbackPointerResetFn fn);

int mav_SMSCallbackPointerResetExec(MAV_SMS *s);

void mav_SMSCallbackPointerPushSet(MAV_SMSClass *sc, MAV_SMSCallbackPointerPushFn fn);

int mav_SMSCallbackPointerPushExec(MAV_SMS *s);

void mav_SMSCallbackPointerPopSet(MAV_SMSClass *sc, MAV_SMSCallbackPointerPopFn fn);

int mav_SMSCallbackPointerPopExec(MAV_SMS *s);

void mav_SMSCallbackObjectNextSet(MAV_SMSClass *sc, MAV_SMSCallbackObjectNextFn fn);

int mav_SMSCallbackObjectNextExec(MAV_SMS *s, MAV_object **o);

ARGUMENTS

DESCRIPTION
These functions provide a convenient way to step through an SMS. Each SMS has a conceptual "pointer", and a private stack on which to save it. sets the "reset pointer" callback function for SMS class sc, to be fn. fn will set the pointer to the beginning of the SMS. mav_SMSCallbackPointerResetExec executes this callback for SMS s. sets the "push pointer" callback function for SMS class sc, to be fn. fn will push the pointer onto the pointer stack. mav_SMSCallbackPointerPushExec executes this callback for SMS s. work similarly, but pop the pointer from the pointer stack. sets the "get next object" callback function for SMS class sc, to be fn. fn will return in oo the object at the current pointer position in SMS s. The pointer is then moved onto the next object.